import java.util.*;
public class MusicTester
{
    public static void main(String[] args)
    {
        /********** Tester Class **********
        * This class is for testing only.
        * You do not need to update this
        * file. Complete your work in the
        * MusicDownloads.java file
        *********************************/
        
        MusicDownloads test = new MusicDownloads();
        test.addSong("Old Town Road");
        test.addSong("Wrecking Ball");
        test.addSong("Hey Jude");
        
        DownloadInfo song1 = test.getDownloadInfo("Wrecking Ball");
        System.out.println(song1.getTitle()); // Should print 'Wrecking Ball'
        song1.incrementTimesDownloaded();
        System.out.println(song1.getDownloadCount()); // Should print 2
        
        System.out.println("Before update:");
        for (DownloadInfo song : test.getDownloadList()){
            System.out.println(song.getTitle() + ": " 
                + song.getDownloadCount());
        }
        
        ArrayList<String> playList = new ArrayList<String>();
        playList.add("Old Town Road");
        playList.add("Billy Jean");
        playList.add("Old Town Road");
        test.updateDownloads(playList);
        System.out.println("After update:");
        for (DownloadInfo song : test.getDownloadList()){
            System.out.println(song.getTitle() + ": " 
                + song.getDownloadCount());
        }
    }
    
}